Get dispatched orders
Returns orders with a dispatched shipment and every consignment associated with each order. Shipment state is independent from the canonical order lifecycle.
Returns orders with a dispatched shipment and every consignment associated with each order. Shipment state is independent from the canonical order lifecycle.
Production session cookie set for the guidelab.co domain by Better Auth
In: cookie
Query Parameters
0 < value10 < value <= 5020Response Body
application/json
curl -X GET "https://example.com/orders/shipped"{ "data": [ { "id": "string", "orderNumber": "string", "status": "draft", "type": "digital", "dueDate": "string", "doctorName": "string", "patient": { "id": "string", "firstName": "string", "lastName": "string" }, "clinic": { "id": "string", "name": "string" }, "clinicLocation": { "id": "string", "name": "string" }, "items": { "count": 0, "productNames": [ "string" ] }, "shipments": [ { "id": "string", "shipmentNumber": 1, "status": "draft", "shippingMethod": "carrier", "labels": [ { "id": "string", "packageId": "string", "packageNumber": 1, "carrier": "string", "trackingNumber": "string", "trackingUrl": "http://example.com" } ], "driverName": "string", "driverPhone": "string", "shippedAt": "string", "deliveredAt": "string", "address": "string", "city": "string", "postcode": "string", "country": "string", "contactName": "string", "contactPhone": "string", "signedBy": "string" } ] } ], "pagination": { "page": 1, "limit": 1, "total": 0, "totalPages": 0 }}Get order tags GET
Returns all tags applied to an order. Accessible by both labs and clinics that have access to the order.
Issue the statement of a completed order, or get the issued one POST
Idempotent for the lab and the order's clinic: an issued statement is returned unchanged. Its variant and language follow the clinic's country, state and postcode. Only lab managers may choose another statement type or language, or regenerate the statement from the lab's template and the order as it is now.